# multisign | xrpl
Documentation for xrpl

# Function multisign

- multisign(transactions): string

- Takes several transactions with Signer fields (in object or blob form) and creates a single transaction with all Signers that then gets signed and returned.

  #### Parameters

  - ##### transactions: (string | Transaction )[]

    An array of signed Transactions (in object or blob form) to combine into a single signed Transaction.

  #### Returns string

  A single signed Transaction which has all Signers from transactions within it.

  #### Throws

  ValidationError if:

  - There were no transactions given to sign
  - The SigningPubKey field is not the empty string in any given transaction
  - Any transaction is missing a Signers field.
  - Defined in packages/xrpl/src/Wallet/signer.ts:30

Generated using TypeDoc